Alerts - Update
アラートを更新します。
PATCH https://management.azure.com/{scope}/providers/Microsoft.Authorization/roleManagementAlerts/{alertId}?api-version=2022-08-01-preview
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
alert
|
path | True |
string |
無視するアラートの名前。 |
|
scope
|
path | True |
string |
アラートのスコープ。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
要求本文
| 名前 | 型 | 説明 |
|---|---|---|
| properties.isActive |
boolean |
既定では False。アラートがアクティブな場合は true。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 204 No Content |
NoContent - アラートが正常に更新されました。 |
|
| Other Status Codes |
操作が失敗した理由を説明するエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
DeactivateAlert
要求のサンプル
PATCH https://management.azure.com/subscriptions/afa2a084-766f-4003-8ae1-c4aeb893a99f/providers/Microsoft.Authorization/roleManagementAlerts/TooManyPermanentOwnersAssignedToResource?api-version=2022-08-01-preview
{
"properties": {
"isActive": false
}
}
応答のサンプル
定義
| 名前 | 説明 |
|---|---|
| Alert |
アラート。 |
|
Alert |
アラートの構成。 |
|
Alert |
アラートの定義 |
|
Alert |
アラート インシデント |
|
Cloud |
サービスからのエラー応答。 |
|
Cloud |
サービスからのエラー応答。 |
|
Severity |
アラートの重大度レベル。 |
Alert
アラート。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
アラート ID。 |
| name |
string |
アラート名。 |
| properties.alertConfiguration |
アラートの構成。 |
|
| properties.alertDefinition |
アラート定義。 |
|
| properties.alertIncidents |
アラート インシデント。 |
|
| properties.incidentCount |
integer (int32) |
アラートの生成されたインシデントの数。 |
| properties.isActive |
boolean |
既定では False。アラートがアクティブな場合は true。 |
| properties.lastModifiedDateTime |
string (date-time) |
アラート構成が更新された日時、または新しいインシデントが生成された日時。 |
| properties.lastScannedDateTime |
string (date-time) |
アラートが最後にスキャンされた日時。 |
| properties.scope |
string |
アラート スコープ。 |
| type |
string |
アラートの種類。 |
AlertConfiguration
アラートの構成。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
アラート構成 ID。 |
| name |
string |
アラート構成名。 |
| properties.alertConfigurationType |
string |
アラート構成の種類。 |
| properties.alertDefinition |
アラート定義。 |
|
| properties.alertDefinitionId |
string |
アラート定義 ID。 |
| properties.isEnabled |
boolean |
アラートが有効な場合は True、false は特定のアラートのスキャンを無効にします。 |
| properties.scope |
string |
アラート スコープ。 |
| type |
string |
アラート構成の種類。 |
AlertDefinition
アラートの定義
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
アラート定義 ID。 |
| name |
string |
アラート定義名。 |
| properties.description |
string |
アラートの説明。 |
| properties.displayName |
string |
アラートの表示名。 |
| properties.howToPrevent |
string |
アラートを防ぐ方法。 |
| properties.isConfigurable |
boolean |
True の 場合は、アラートの構成を構成できます。false、それ以外の場合。 |
| properties.isRemediatable |
boolean |
True の 場合は、アラートを修復できます。false、それ以外の場合。 |
| properties.mitigationSteps |
string |
アラートを軽減する方法。 |
| properties.scope |
string |
アラート スコープ。 |
| properties.securityImpact |
string |
アラートのセキュリティへの影響。 |
| properties.severityLevel |
アラートの重大度レベル。 |
|
| type |
string |
アラート定義の種類。 |
AlertIncident
アラート インシデント
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
アラート インシデント ID。 |
| name |
string |
アラート インシデント名。 |
| properties.alertIncidentType |
string |
アラート インシデントの種類。 |
| type |
string |
アラート インシデントの種類。 |
CloudError
サービスからのエラー応答。
| 名前 | 型 | 説明 |
|---|---|---|
| error |
サービスからのエラー応答。 |
CloudErrorBody
サービスからのエラー応答。
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
エラーの識別子。 コードは不変であり、プログラムで使用することを目的としています。 |
| message |
string |
ユーザー インターフェイスでの表示に適したエラーを説明するメッセージ。 |
SeverityLevel
アラートの重大度レベル。
| 値 | 説明 |
|---|---|
| Low | |
| Medium | |
| High |